################################################################################
# Automatically-generated file. Do not edit!
################################################################################

# Add inputs and outputs from these tool invocations to the build variables 
CPP_SRCS += \
../AST/AST.cpp \
../AST/ASTExpression.cpp \
../AST/ASTNode.cpp \
../AST/ASTStatement.cpp \
../AST/Assignment.cpp \
../AST/BasicExpression.cpp \
../AST/BasicStatement.cpp \
../AST/ConstantExpression.cpp \
../AST/DeclarationStatement.cpp \
../AST/IfNode.cpp \
../AST/IncorrectExpression.cpp \
../AST/LogicalExpression.cpp \
../AST/PostfixExpression.cpp \
../AST/ProgramNode.cpp \
../AST/SenchaObject.cpp 

OBJS += \
./AST/AST.o \
./AST/ASTExpression.o \
./AST/ASTNode.o \
./AST/ASTStatement.o \
./AST/Assignment.o \
./AST/BasicExpression.o \
./AST/BasicStatement.o \
./AST/ConstantExpression.o \
./AST/DeclarationStatement.o \
./AST/IfNode.o \
./AST/IncorrectExpression.o \
./AST/LogicalExpression.o \
./AST/PostfixExpression.o \
./AST/ProgramNode.o \
./AST/SenchaObject.o 

CPP_DEPS += \
./AST/AST.d \
./AST/ASTExpression.d \
./AST/ASTNode.d \
./AST/ASTStatement.d \
./AST/Assignment.d \
./AST/BasicExpression.d \
./AST/BasicStatement.d \
./AST/ConstantExpression.d \
./AST/DeclarationStatement.d \
./AST/IfNode.d \
./AST/IncorrectExpression.d \
./AST/LogicalExpression.d \
./AST/PostfixExpression.d \
./AST/ProgramNode.d \
./AST/SenchaObject.d 


# Each subdirectory must supply rules for building sources it contributes
AST/%.o: ../AST/%.cpp
	@echo 'Building file: $<'
	@echo 'Invoking: Cross G++ Compiler'
	g++ -O0 -g3 -Wall -c -fmessage-length=0 -std=gnu++0x -MMD -MP -MF"$(@:%.o=%.d)" -MT"$(@:%.o=%.d)" -o "$@" "$<"
	@echo 'Finished building: $<'
	@echo ' '


